# 1. Usamos una imagen ligera de Python
FROM python:3.12-slim

# 2. Evitar archivos .pyc y saturación del buffer
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1
ENV TZ=Europe/Madrid

# 3. Directorio de trabajo interno del contenedor
WORKDIR /app

# 4. Instalar dependencias del sistema
RUN apt-get update && apt-get install -y \
    libpq-dev \
    gcc \
    gettext \
    && rm -rf /var/lib/apt/lists/*

# 5. COPIAR REQUISITOS
# OJO: Ahora el contexto es la RAÍZ, así que el archivo está en deployments/
COPY deployments/requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

# 6. COPIAR EL CÓDIGO
COPY . .

# Cambiamos al directorio de la app donde está manage.py
WORKDIR /app/app

# 7. EXPOSICIÓN Y SCRIPT DE ENTRADA
EXPOSE 8000

COPY deployments/entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh

ENTRYPOINT ["/entrypoint.sh"]